apiVersion: "ryax.tech/v2.0"
kind: Processor
spec:
  id: tfdetection.hpc
  human_name: Tag images using Tensorflow HPC offloading
  type: python3
  version: "5.1.1"
  logo: "logo.png"
  categories:
  - Processor
  - ObjectDetection
  - OpenCV
  dependencies:
  - pythonPackages.opencv4
  - pythonPackages.tensorflow
  - pythonPackages.matplotlib
  - pythonPackages.urllib3
  addons:
    hpc:
      slurm_args: |
        #!/bin/bash
        #SBATCH --nodes=4
        #SBATCH --ntasks=1
  inputs:
  - help: Model
    human_name: Model name
    name: model
    type: enum
    enum_values:
      - ssdlite_mobilenet_v2_coco_2018_05_09
      - mask_rcnn_inception_v2_coco_2018_01_28
  - help: Directory with images to be tagged in any format accepted by OpenCV
    human_name: Images
    name: images
    type: directory
  outputs:
  - help: Path of tagged images
    human_name: Tagged images
    name: tagged_images
    type: directory
